/**
SPINNER CSS
*/

/* emodulebox-navigation styles */
#emodulebox-navigation img.hover-shadow {
    transition: 0.3s;
}

#emodulebox-navigation .hover-shadow:hover {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

.image-in-grid {
    border: 1px solid lightgray;
    width: 100%;
    margin-top: 8px;
    vertical-align: middle;
}

.video-instance{

}

@media only screen and (max-width: 991px) {
    #emodulepage_navigationcontent
    {
        /*margin-top: 10px!important;*/
    }
}

#emodulepage_navigationcontent {
    padding-left: 0px!important;
    padding-right: 0px!important;
}

/* ****************************** */
#loader {
    position: fixed;
    left: 50%;
    top: 50%;
    z-index: 9999;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border: 16px solid #f3f3f3;
    border-radius: 50%;
    border-top: 16px solid #3498db;
    width: 120px;
    height: 120px;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}


/*SPINNER CSS*/


/*IMAGE LOADER*/

#myImg {
    border-radius: 5px;
    cursor: pointer;
    transition: 0.3s;
}

#myImg:hover {
    opacity: 0.7;
}


/* The Modal (background) */

.modal {
    display: none;
    /* Hidden by default */
    position: fixed;
    /* Stay in place */
    z-index: 9999;
    /* Sit on top */
    padding-top: 100px;
    /* Location of the box */
    left: 0;
    top: 0;
    width: 100%;
    /* Full width */
    height: 100%;
    /* Full height */
    overflow: auto;
    /* Enable scroll if needed */
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.9);
    /* Black w/ opacity */
}


/* Modal Content (image) */

.modal-content {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
}


/* Caption of Modal Image */

#caption {
    margin: auto;
    display: block;
    width: 80%;
    max-width: 700px;
    text-align: center;
    color: #ccc;
    padding: 10px 0;
    height: 150px;
}


/* Add Animation */

.modal-content,
#caption {
    -webkit-animation-name: zoom;
    -webkit-animation-duration: 0.6s;
    animation-name: zoom;
    animation-duration: 0.6s;
}

@-webkit-keyframes zoom {
    from {
        -webkit-transform: scale(0)
    }
    to {
        -webkit-transform: scale(1)
    }
}

@keyframes zoom {
    from {
        transform: scale(0)
    }
    to {
        transform: scale(1)
    }
}


/* The Close Button */

.closeModal {
    position: fixed;
    top: 50px;
    right: 35px;
    color: #f1f1f1;
    font-size: 40px;
    font-weight: bold;
    transition: 0.3s;
}

.closeModal:hover,
.closeModal:focus {
    color: #bbb;
    text-decoration: none;
    cursor: pointer;
}


/* 100% Image Width on Smaller Screens */

@media only screen and (max-width: 700px) {
    .modal-content {
        width: 100%;
    }
}


/*Image Loader*/


/* Add animation to "page content" */

.animate-bottom {
    position: relative;
    -webkit-animation-name: animatebottom;
    -webkit-animation-duration: 1s;
    animation-name: animatebottom;
    animation-duration: 1s
}

@-webkit-keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }
    to {
        bottom: 0px;
        opacity: 1
    }
}

@keyframes animatebottom {
    from {
        bottom: -100px;
        opacity: 0
    }
    to {
        bottom: 0;
        opacity: 1
    }
}

@media only screen and (min-width: 991px) {
    /*#emodulebox-navbutton {*/
        /*display: none;*/
    /*}*/
}

@media only screen and (min-width: 991px) {
    #emodulebox-closebtn {
        display: none;
    }
}

@media only screen and (max-width: 991px) {
    .toolbar-icontext {
        display: none;
    }
    .generalbox {
        padding-left: 0px!important;
        padding-right: 0px!important;
    }
    #emodulebox {
        padding-left: 0px!important;
        padding-right: 0px!important;
    }
    .emodulepage-sidenav {
        height: 100%;
        width: 0;
        position: fixed;
        z-index: 1;
        /*top: 50px;*/
        right: 0;
        background-color: #494d55;
        overflow-x: hidden;
        transition: 0.5s;
        padding-left: 0px!important;
        padding-right: 0px!important;
        /*padding-top: 60px;*/
    }
    .emodulepage-sidenav a {
        /*padding: 8px 8px 8px 8px;*/
        text-decoration: none;
        font-size: 1em;
        /*color: #818181;*/
        display: block;
        transition: 0.3s;
    }
    /*.sidenav a:hover,*/
    .offcanvas a:focus {
        color: #f1f1f1;
    }
    .emodulepage-sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 36px;
        margin-left: 50px;
    }
}

#extramedia-images a {
    font-size: 16px;
    overflow: hidden;
    display: inline-block;
    margin-bottom: 8px;
    width: calc(50% - 4px);
    margin-right: 8px;
}

#extramedia-images a:nth-of-type(2n) {
    margin-right: 0;
}

#extramedia-images a:hover img {
    transform: scale(1.15);
}

#extramedia-images figure {
    margin: 0;
}

#extramedia-images img {
    border: none;
    max-width: 100px;
    height: auto;
    display: block;
    background: #ccc;
    transition: transform .2s ease-in-out;
}

#emodulebox-toolbar {
    background: #dee9ef;
    width: 100%!important;
    padding-left: 60px;
    padding-right: 60px;
    /*
    position: fixed;
    top: 50px;
    left: 0px;
    */
    z-index: 9999;
}

#emodulebox-toolbar li {
    border-left: 1px solid #bbb6b6;
}

.emodulebox-toolbar .toolbar-icontext {
    font-size: .8em;
}

.emodulebox-toolbar a {
    text-decoration: none;
}

.emodulebox-toolbar span.fa {
    font-size: 1.4em;
    cursor: pointer;
}

.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    background-color: #6d727c!important;
}

/**
BLOCK to handle emodule page display
*/
div[id^="emodule-container"] {
    font-family: Arial;
    text-align: justify;
    color: #484646;
    background: #f8f8f8;
}

div[id^="emodule-container"] .heading-link{
    display:none;
}

div[id^="emodule-container"] h1{
    font-size: 1.8em;
    /* text-decoration: underline; */
    background: #353e4e;
    color: white;
    padding: .5em;
}

div[id^="emodule-container"] h2{
    font-size: 1.8em;
    /* text-decoration: underline; */
    background: #353e4e;
    color: white;
    padding: .5em;
}

div[id^="emodule-container"] h3{
    font-size: 1.4em;
    /* text-decoration: underline; */
    background: #bccae2;
    color: black;
    padding: .25em;
}

div[id^="emodule-container"] .list-header {
    font-size: 1.4em!important;
    /* text-decoration: underline; */
    background: #bccae2!important;
    color: black!important;
    padding: .25em!important;
}

div[id^="emodule-container"] h4 {
    font-size: 1.2em;
    /* text-decoration: underline; */
    background: #dce6f7;
    color: black;
    padding: .25em;
    font-style: italic;
    font-weight: bold;
}

span.leafnet_msg{
    color: #3f51b5 !important;
}

/** IMAGES
*/
div[id^="emodule-container"] div.mini {
    width: auto!important;
    text-align: center;
}
/** IMAGES
*/


/**
TABLES
*/
div[id^="emodule-container"] table.wikitable {
    width: 100%!important;
}

div[id^="emodule-container"] table.wikitable th {
    background: #bccae2;
    color: black;
}

div[id^="emodule-container"] table.wikitable tr:nth-child(odd) {
    background: #e1e7f1;
}

div[id^="emodule-container"] table.wikitable th:first-child {
    min-width: 100px;
}

div[id^="emodule-container"] table.wikitable td {
    padding:.75rem;
}

div[id^="emodule-container"] table.wikitable, div[id^="emodule-container"] table.wikitable th, div[id^="emodule-container"] table.wikitable td {
    border: 1px solid #b9d1fb;
}
div[id^="emodule-container"] table caption{
    text-align: left;
    /* background: blue; */
    /* padding: 0.25em; */
    font-size: 1em;
    /* text-decoration: underline; */
    background: #dce6f7;
    color: black;
    padding: .25em;
    font-style: italic;
    border: 1px #bccae2 dashed;
}


#emodulepage_navigationcontent #references-1 {
    margin-left: 1rem;
    margin-right: 1rem;
}

@media only screen and (min-width: 768px) {
    #emodulepage_navigationcontent {
        border-left: 1px solid lightgrey;
    }
}

/**
TABLES
*/
